Loading...
Searching...
No Matches
juce::midi_ci::DeviceMessageHandler Struct Referenceabstract

## Detailed Description

An interface that will receive a callback every time a Device wishes to send a new MIDI-CI message.

The documentation for this struct was generated from the following file:

- juce_midi_ci/ci/juce_CIDeviceMessageHandler.h

Inheritance diagram for juce::midi_ci::DeviceMessageHandler:

## Public Member Functions

| DeviceMessageHandler ()=default
virtual | ~DeviceMessageHandler ()=default
| DeviceMessageHandler (const DeviceMessageHandler &)=default
| DeviceMessageHandler (DeviceMessageHandler &&)=default
DeviceMessageHandler & | operator= (const DeviceMessageHandler &)=default
DeviceMessageHandler & | operator= (DeviceMessageHandler &&)=default
virtual void | processMessage (ump::BytesOnGroup)=0
| Called with the bytes of a MIDI-CI message, along with the message's group.

## Constructors and Destructors

## DeviceMessageHandler() [1/3]

juce::midi_ci::DeviceMessageHandler::DeviceMessageHandler | ( |  | ) |

default

Referenced by DeviceMessageHandler(), DeviceMessageHandler(), operator=(), and operator=().

## ~DeviceMessageHandler()

virtual juce::midi_ci::DeviceMessageHandler::~DeviceMessageHandler | ( |  | ) |

virtual default

## DeviceMessageHandler() [2/3]

juce::midi_ci::DeviceMessageHandler::DeviceMessageHandler | ( | const DeviceMessageHandler & |  | ) |

default

References DeviceMessageHandler().

## DeviceMessageHandler() [3/3]

juce::midi_ci::DeviceMessageHandler::DeviceMessageHandler | ( | DeviceMessageHandler && |  | ) |

default

References DeviceMessageHandler().

## Member Functions

## operator=() [1/2]

DeviceMessageHandler & juce::midi_ci::DeviceMessageHandler::operator= | ( | const DeviceMessageHandler & |  | ) |

default

References DeviceMessageHandler().

## operator=() [2/2]

DeviceMessageHandler & juce::midi_ci::DeviceMessageHandler::operator= | ( | DeviceMessageHandler && |  | ) |

default

References DeviceMessageHandler().

## processMessage()

virtual void juce::midi_ci::DeviceMessageHandler::processMessage | ( | ump::BytesOnGroup |  | ) |

pure virtual

Called with the bytes of a MIDI-CI message, along with the message's group.

To send the message on, format the message appropriately (either into bytestream sysex or into multiple UMP sysex packets).

Implemented in juce::midi_ci::Device.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited